Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class StringSource

    java.lang.Object
      |
      +--com.caucho.xsl.StringSource

All Implemented Interfaces:
  Source

public class StringSource
extends java.lang.Object
implements Source

Source for an input string.

Field Summary
`static java.lang.String` | `FEATURE` The feature name to tell if the transformer can handle stream input.

Constructor Summary
`StringSource()` Zero-arg constructor.
`StringSource(java.lang.String source)` Create a StringSource with a given string.
`StringSource(java.lang.String source, java.lang.String systemId)` Create a StringSource with a given string and systemId.

Method Summary
`java.lang.String` | `getPublicId()` Returns the public identifier (URL).
`java.lang.String` | `getString()` Returns the source string.
`java.lang.String` | `getSystemId()` Returns the system identifier (URL).
`void` | `setPublicId(java.lang.String publicId)` Sets the public identifier (URL).
`void` | `setString(java.lang.String is)` Sets the source string stream.
`void` | `setSystemId(java.io.File file)` Sets the system identifier (URL) from a File.
`void` | `setSystemId(java.lang.String systemId)` Sets the system identifier (URL).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  The feature name to tell if the transformer can handle stream input.

Constructor Detail

### StringSource

    public StringSource()

  Zero-arg constructor.

### StringSource

    public StringSource(java.lang.String source)

  Create a StringSource with a given string.
  Parameters:
    `source` - the source string.

### StringSource

    public StringSource(java.lang.String source,
                        java.lang.String systemId)

  Create a StringSource with a given string and systemId.
  Parameters:
    `source` - the source string.
    `systemId` - the URL representing the string location.

Method Detail

### getString

    public java.lang.String getString()

  Returns the source string.

### setString

    public void setString(java.lang.String is)

  Sets the source string stream.

### getSystemId

    public java.lang.String getSystemId()

  Returns the system identifier (URL).
  Specified by:
    `getSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Returns:
    the system id as a URL

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Sets the system identifier (URL).
  Specified by:
    `setSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Parameters:
    `systemId` - set the system id as a URL

### setSystemId

    public void setSystemId(java.io.File file)

  Sets the system identifier (URL) from a File.

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier (URL).

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Sets the public identifier (URL).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD